Commit 628734f8 authored by hartman's avatar hartman
Browse files

* dirty patch to tell vlc (on osx) that it needs -liconv when it links to...

* dirty patch to tell vlc (on osx) that it needs -liconv when it links to libcdio. This should be fixed in the libcdio pkgconfig, but i'm tired of figuring out how to patch libcdio to do this.
parent 291c6479
......@@ -1720,7 +1720,8 @@ then
if test "${SYS}" = "darwin"
then
VLC_ADD_PLUGINS([vcd cdda])
VLC_ADD_LDFLAGS([vcd vcdx cdda],[-framework IOKit -framework CoreFoundation])
VLC_ADD_LDFLAGS([vcd vcdx cdda cddax],[-framework IOKit -framework CoreFoundation])
VLC_ADD_LDFLAGS([vcdx cddax],[-liconv])
fi
fi
......
......@@ -923,7 +923,7 @@ libcddb: libcddb-$(CDDB_VERSION).tar.gz
patch -p 0 < Patches/libcddb.patch
.cddb: libcddb
(cd $<; ./configure --prefix=$(PREFIX) --disable-shared --enable-static CFLAGS="$(CFLAGS) -D_BSD_SOCKLEN_T_=int" LDFLAGS="-L$(PREFIX)/lib -liconv" && make && make install)
(cd $<; ./configure --prefix=$(PREFIX) --disable-shared --enable-static CFLAGS="$(CFLAGS) -D_BSD_SOCKLEN_T_=int" LDFLAGS="$(LDFLAGS) -liconv" && make && make install)
touch $@
CLEAN_FILE += .cddb
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment